openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/SXMS_PMI_GET_DATA_FROM_MS:
    post:
      tags:
      - SXMS_PMI_DATA
      operationId: /rfc/SXMS_PMI_GET_DATA_FROM_MS
      requestBody:
        content:
          application/json:
            schema:
              properties:
                ASM_READ:
                  type: integer
                  format: int64
                BLOCKSIZE:
                  type: integer
                  format: int32
                CNT_READ:
                  type: integer
                  format: int32
                DOMAIN:
                  type: string
                  maxLength: 255
                MAXASM_ON_IS:
                  type: integer
                  format: int64
                TRANSMODE:
                  type: integer
                  format: int32
                ADDRESSTAB:
                  type: array
                  items:
                    type: object
                    properties:
                      ADDRESSID:
                        type: string
                        format: byte
                        description: GUID for Integration Engine Objects
                      PARTYAGENCY:
                        type: string
                        maxLength: 120
                        description: 'XI Partner: Agency'
                      PARTYTYPE:
                        type: string
                        maxLength: 120
                        description: 'XI Partner: Identification Schema'
                      PARTY:
                        type: string
                        maxLength: 60
                        description: 'XI: Communication Party'
                      SERVICE:
                        type: string
                        maxLength: 60
                        description: 'XI: Service'
                      NAME:
                        type: string
                        maxLength: 120
                        description: 'XI: Interface Name'
                      NAMESPACE:
                        type: string
                        maxLength: 255
                        description: 'XI: Interface Namespace'
                COMPONENTSTAB:
                  type: array
                  items:
                    type: object
                    properties:
                      COMPONENTID:
                        type: string
                        format: byte
                        description: GUID for Integration Engine Objects
                      COMPNAME:
                        type: string
                        maxLength: 255
                        description: Unique Component Name in SLD
                      COMPTYPE:
                        type: string
                        maxLength: 255
                        description: Component Type in SLD
                      COMPDIRECTION:
                        type: string
                        maxLength: 1
                        description: Message Flow Direction (Inbound or Outbound)
                      MYID:
                        type: string
                        maxLength: 1
                        description: 'XMS: Flag (true/false)  enumValues: 0=No,1=Yes'
                        enum:
                        - '0'
                        - '1'
                      ACTIVE:
                        type: string
                        maxLength: 1
                        description: 'XMS: Flag (true/false)  enumValues: 0=No,1=Yes'
                        enum:
                        - '0'
                        - '1'
                      ASMTIME:
                        type: integer
                        format: int64
                        description: UTC Time Stamp in Short Form (YYYYMMDDhhmmss)
                      ASMFIRST:
                        type: integer
                        format: int64
                        description: UTC Time Stamp in Long Form (YYYYMMDDhhmmssmmmuuun)
                PMIDATA_TAB:
                  type: array
                  items:
                    type: object
                    properties:
                      PROCESSID:
                        type: string
                        maxLength: 32
                        description: 'SPI: Process Type ID'
                      ASMTIME:
                        type: integer
                        format: int64
                        description: UTC Time Stamp in Short Form (YYYYMMDDhhmmss)
                      CNT:
                        type: integer
                        format: int32
                        description: Natural number
                      SENDER:
                        type: string
                        format: byte
                        description: GUID for Integration Engine Objects
                      RECEIVER:
                        type: string
                        format: byte
                        description: GUID for Integration Engine Objects
                      COMPONENTID:
                        type: string
                        format: byte
                        description: GUID for Integration Engine Objects
                      PROCMODE:
                        type: string
                        maxLength: 1
                        description: 'XI: Processing Type  enumValues: S=Synchronous,A=Asynchronous'
                        enum:
                        - S
                        - A
                      SOURCE:
                        type: string
                        maxLength: 3
                        description: 'Integration Engine: Performance Data Origin (local or PMI)  enumValues: PMI=Data Returned by PMI,LOC=Data Generated Locally'
                        enum:
                        - PMI
                        - LOC
                      MSGID:
                        type: string
                        format: byte
                        description: 'XI: Message ID'
                      FIRSTTS:
                        type: integer
                        format: int64
                        description: UTC Time Stamp in Long Form (YYYYMMDDhhmmssmmmuuun)
                      LASTTS:
                        type: integer
                        format: int64
                        description: UTC Time Stamp in Long Form (YYYYMMDDhhmmssmmmuuun)
                      MSGSIZE:
                        type: integer
                        format: int64
                        description: Decimal number, 20 digits, none after decimal point
                      LATENCY:
                        type: integer
                        format: int64
                        description: UTC Time Stamp in Long Form (YYYYMMDDhhmmssmmmuuun)
                      STATUS:
                        type: string
                        maxLength: 3
                        description: 'Reorganization Status  enumValues: MFD=Selected for Deletion,MFA=Selected for Archiving,DEL=Deleted,INI=Initial,ARC=Archived'
                        enum:
                        - MFD
                        - MFA
                        - DEL
                        - INI
                        - ARC
              required:
              - ASM_READ
              - BLOCKSIZE
              - CNT_READ
              - DOMAIN
              - MAXASM_ON_IS
              - TRANSMODE
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  PMIDATA_BUFFER:
                    type: string
                    format: byte
                  ADDRESSTAB:
                    type: array
                    items:
                      type: object
                      properties:
                        ADDRESSID:
                          type: string
                          format: byte
                          description: GUID for Integration Engine Objects
                        PARTYAGENCY:
                          type: string
                          maxLength: 120
                          description: 'XI Partner: Agency'
                        PARTYTYPE:
                          type: string
                          maxLength: 120
                          description: 'XI Partner: Identification Schema'
                        PARTY:
                          type: string
                          maxLength: 60
                          description: 'XI: Communication Party'
                        SERVICE:
                          type: string
                          maxLength: 60
                          description: 'XI: Service'
                        NAME:
                          type: string
                          maxLength: 120
                          description: 'XI: Interface Name'
                        NAMESPACE:
                          type: string
                          maxLength: 255
                          description: 'XI: Interface Namespace'
                  COMPONENTSTAB:
                    type: array
                    items:
                      type: object
                      properties:
                        COMPONENTID:
                          type: string
                          format: byte
                          description: GUID for Integration Engine Objects
                        COMPNAME:
                          type: string
                          maxLength: 255
                          description: Unique Component Name in SLD
                        COMPTYPE:
                          type: string
                          maxLength: 255
                          description: Component Type in SLD
                        COMPDIRECTION:
                          type: string
                          maxLength: 1
                          description: Message Flow Direction (Inbound or Outbound)
                        MYID:
                          type: string
                          maxLength: 1
                          description: 'XMS: Flag (true/false)  enumValues: 0=No,1=Yes'
                          enum:
                          - '0'
                          - '1'
                        ACTIVE:
                          type: string
                          maxLength: 1
                          description: 'XMS: Flag (true/false)  enumValues: 0=No,1=Yes'
                          enum:
                          - '0'
                          - '1'
                        ASMTIME:
                          type: integer
                          format: int64
                          description: UTC Time Stamp in Short Form (YYYYMMDDhhmmss)
                        ASMFIRST:
                          type: integer
                          format: int64
                          description: UTC Time Stamp in Long Form (YYYYMMDDhhmmssmmmuuun)
                  PMIDATA_TAB:
                    type: array
                    items:
                      type: object
                      properties:
                        PROCESSID:
                          type: string
                          maxLength: 32
                          description: 'SPI: Process Type ID'
                        ASMTIME:
                          type: integer
                          format: int64
                          description: UTC Time Stamp in Short Form (YYYYMMDDhhmmss)
                        CNT:
                          type: integer
                          format: int32
                          description: Natural number
                        SENDER:
                          type: string
                          format: byte
                          description: GUID for Integration Engine Objects
                        RECEIVER:
                          type: string
                          format: byte
                          description: GUID for Integration Engine Objects
                        COMPONENTID:
                          type: string
                          format: byte
                          description: GUID for Integration Engine Objects
                        PROCMODE:
                          type: string
                          maxLength: 1
                          description: 'XI: Processing Type  enumValues: S=Synchronous,A=Asynchronous'
                          enum:
                          - S
                          - A
                        SOURCE:
                          type: string
                          maxLength: 3
                          description: 'Integration Engine: Performance Data Origin (local or PMI)  enumValues: PMI=Data Returned by PMI,LOC=Data Generated Locally'
                          enum:
                          - PMI
                          - LOC
                        MSGID:
                          type: string
                          format: byte
                          description: 'XI: Message ID'
                        FIRSTTS:
                          type: integer
                          format: int64
                          description: UTC Time Stamp in Long Form (YYYYMMDDhhmmssmmmuuun)
                        LASTTS:
                          type: integer
                          format: int64
                          description: UTC Time Stamp in Long Form (YYYYMMDDhhmmssmmmuuun)
                        MSGSIZE:
                          type: integer
                          format: int64
                          description: Decimal number, 20 digits, none after decimal point
                        LATENCY:
                          type: integer
                          format: int64
                          description: UTC Time Stamp in Long Form (YYYYMMDDhhmmssmmmuuun)
                        STATUS:
                          type: string
                          maxLength: 3
                          description: 'Reorganization Status  enumValues: MFD=Selected for Deletion,MFA=Selected for Archiving,DEL=Deleted,INI=Initial,ARC=Archived'
                          enum:
                          - MFD
                          - MFA
                          - DEL
                          - INI
                          - ARC
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
